bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

[RTL][Dialer]The "+" symbol is shown at wrong side in context menu of call log.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Dialer
P2
normal
RESOLVED WORKSFORME
3 years ago
3 years ago

People

(Reporter: Sue, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)
Dependency tree / graph

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8602004 [details]
+ symbol in context menu view.png

[1.Description]:
[RTL][Flame v2.2 & v3.0][Nexus 5 2.2 & 3.0][Dialer]The "+" symbol is shown at right side of phone number in title of context menu when long press the call log.
See attachment:+ symbol in context menu view.png

[2.Testing Steps]: 
Prerequisite: Insert a SIM card and have a call log with "+" in phone number(Such as "+8618628210070").
1. Set system language as Arabic.
2. Launch Phone.
3. Switch to "Call log page"
4. Long press one of the call log and observe the view.

[3.Expected Result]: 
4. The "+" symbol in title should be shown at left side of number.

[4.Actual Result]: 
4. The "+" symbol in title is shown at right side of number.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150505162504
Gaia Revision          772a9491909abd02dc67278dd453746e2dd358a8
Gaia Date              2015-05-05 02:02:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/3af6a0a79227
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150505.201112
Firmware Date          Tue May  5 20:11:25 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150505160203
Gaia Revision          42dc5f02a9df006b129824cd9bffa93cab937ab2
Gaia Date              2015-05-05 11:06:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5907a8eca521
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150505.194217
Firmware Date          Tue May  5 19:42:28 EDT 2015
Bootloader             L1TC000118D0

Device: Nexus 5 2.2 (affected)
Build ID               20150505162504
Gaia Revision          772a9491909abd02dc67278dd453746e2dd358a8
Gaia Date              2015-05-05 02:02:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/3af6a0a79227
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150505.195850
Firmware Date          Tue May  5 19:59:08 EDT 2015
Bootloader             HHZ12f

Device: Nexus 5 3.0 (affected)
Build ID               20150505160203
Gaia Revision          42dc5f02a9df006b129824cd9bffa93cab937ab2
Gaia Date              2015-05-05 11:06:17
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5907a8eca521
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150505.192812
Firmware Date          Tue May  5 19:28:29 EDT 2015
Bootloader             HHZ12f

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

3 years ago
This issue also exists on Call Information view.
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
See Also: → bug 1161965
Triage -- P2
Priority: -- → P2
(Reporter)

Comment 3

3 years ago
Hi William,
This issue can be reproduced on latest build of Flame 2.2&3.0 and Nexus 5 2.2&3.0 by STRs in comment 0. Could you have someone to help with this bug? Thanks :)
Result: The "+" symbol in title is shown at right side of number.

Device information:
Flame 2.2 Build ID: 20150526162504
Flame 3.0 Build ID: 20150526160204
Nexus5 2.2 Build ID: 20150526162504
Nexus5 3.0 Build ID: 20150526160204
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Flags: needinfo?(whsu)

Comment 4

3 years ago
(In reply to Sue from comment #3)
> Hi William,
> This issue can be reproduced on latest build of Flame 2.2&3.0 and Nexus 5
> 2.2&3.0 by STRs in comment 0. Could you have someone to help with this bug?
> Thanks :)
> Result: The "+" symbol in title is shown at right side of number.

Thank you.
A similar bug of bug 1161965.
Perhaps, we need if-else statements here to identify whether it is unknown contact or existed contact.
Let's wait for solution.
Flags: needinfo?(whsu)
This issue can be reproduced on lastest build of AriesKK v2.5.
Rate:5/5
Build ID               20150810003528
Gaia Revision          09dea2d5ff21cdb56da35fe4aa5bf4c90cf1da7f
Gaia Date              2015-08-09 17:11:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0e269a1f1beb
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.000017
Firmware Date          Mon Aug 10 00:00:24 UTC 2015
Bootloader             s1
Blocks: 1181927
Created attachment 8646204 [details]
AriesKK_V2.5.png
Created attachment 8680485 [details]
Plus symbol_Context menu_v2.5.png

This issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build by the same STR in comment 0.
Actual result:Long press the call log that the number with the "+" symbol, the "+" symbol is displayed at left side of the phone number in context menu.
See attachment:Plus symbol_Context menu_v2.5.png
Reproducing rate:0/10

Device: FlameKK v2.5 build (512mb)
Build ID               20151028150209
Gaia Revision          2e89362de40a6c9c36525d36317fa1ae8e67e143
Gaia Date              2015-10-28 04:56:28
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fc706d376f0658e560a59c3dd520437b18e8c4a4
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151028.182746
Firmware Date          Wed Oct 28 18:27:57 EDT 2015
Firmware Date           v18D v4
Bootloader             L1TC000118D0

Device: AriesKK v2.5 build
Build ID               20151029010303
Gaia Revision          75f2236d36cc9f9c02d3596fae3de014007cfd82
Gaia Date              2015-10-28 17:02:16
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1e700005a0ddf2b17803213e1f3f8d78a7a618b8
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151029.002011
Firmware Date          Thu Oct 29 00:20:19 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.